//treba sortirati niz niski

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

//maksimalna duzina niza
#define MAX_N 1000
//maksimalna duzina elementa niza
#define MAX_EL 100

void greska(){
	printf("-1");
	exit(EXIT_FAILURE);
}

void selection_sort(char niz[][MAX_EL], int niz_n){
	int i, j;
	for(i = 0; i < niz_n; i++)
		for(j = i + 1; j < niz_n; j++)
			if(strlen(niz[i]) > strlen(niz[j])){
				//ako su i-ti i j-ti u losem poretku, samo im zamenimo mesta
				char tmp[MAX_EL];
				strcpy(tmp, niz[i]);
				strcpy(niz[i], niz[j]);
				strcpy(niz[j], tmp);
			}
}

void insertion_sort(char niz[][MAX_EL], int niz_n){
	//dakle uvek nam je levi deo niza sortiran i uzimamo prvi desni element i 
	//ubacujemo ga na odgovarajuce mesto u levi deo

	int i;
	for(i = 1; i < niz_n; i++){
		//element niz[i], ubacujemo u sortiran niz 0,1,2,...,i-1
		int j = i - 1;
		char tmp[MAX_EL];
		strcpy(tmp, niz[i]);

		while(j >= 0 && strlen(niz[j]) > strlen(tmp)){
			//j-ti element prebacujemo na j+1 mesto
			strcpy(niz[j+1], niz[j]);
			j--;
		}
		strcpy(niz[j+1], tmp);
	}
}

int main(){

	char niz[MAX_N][MAX_EL];
	int niz_n;

	printf("Unesite broj elemenata niza: ");
	scanf("%d", &niz_n);

	if(niz_n < 0 || niz_n > MAX_N)
		greska();

	int i;
	for(i = 0; i < niz_n; i++)
		scanf("%s", niz[i]);

	selection_sort(niz, niz_n);

	for(i = 0; i < niz_n; i++)
		printf("%s\n", niz[i]);	

	return 0;
}
