//treba sortirati niz niski

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

//maksimalna duzina niza
#define MAX_N 1000
//maksimalna duzina elementa niza
#define MAX_EL 100

void greska(){
	printf("-1");
	exit(EXIT_FAILURE);
}

int poredi(const void *a, const void *b){
	//printf("%s     %s\n", ((char*)a), ((char*)b));
	return strlen((char*)a) - strlen((char*)b);
}

int main(){

	char niz[MAX_N][MAX_EL];
	int niz_n;

	printf("Unesite broj elemenata niza: ");
	scanf("%d", &niz_n);

	if(niz_n < 0 || niz_n > MAX_N)
		greska();

	int i;
	for(i = 0; i < niz_n; i++)
		scanf("%s", niz[i]);

	//qsort je ugradjena bibliotecka funkcija koja sortira niz u vremenu 
	//n log(n) - teorijski najkrace vreme sortiranja, ako se sortira stablom 
	//odlucivanja

   	//void qsort(void *base, size_t nmemb, size_t size,
   	//           int (*compar)(const void *, const void *));
	
	//base - niz koji se sortira
	//nmemb - broj clanova niza
	//size - velicina svakog elementa
	//*compar - adresa funkcija koja vrsi poredjenje 2 elementa

	qsort(niz, niz_n, sizeof(char[MAX_EL]), poredi);
	//funkcija compar dobija 2 vrednosti, tj 2 adrese (void*)
	//jedna adresa je adresa prvog elementa koji poredimo
	//druga je adresa drugog
	//povratna vrednost je int, <0, ako je prvi manji
	//=0 ako su jednaki
	//>0 ako je prvi veci 


	for(i = 0; i < niz_n; i++)
		printf("%s\n", niz[i]);	

	return 0;
}
